Method: organizations.locations.firewallEndpoints.create

Creates a new firewall endpoint in a given organization and location.

HTTP request

POST https://networksecurity.googleapis.com/v1beta1/{parent=organizations/*/locations/*}/firewallEndpoints

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource where this firewall endpoint is created. Format: organizations/{organization}/locations/{location} or projects/{project}/locations/{location}.

Query parameters

Parameters
firewallEndpointId

string

Required. The ID to use for the firewall endpoint, which becomes the final component of the endpoint's resource name.

This value must be 1-63 characters long, start with a lowercase letter, contain only lowercase letters, numbers, and hyphens, and cannot end with a hyphen.

requestId

string

Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server knows to ignore the request if it has already been completed. The server guarantees that for at least 60 minutes since the first request.

For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if the original operation with the same request ID was received, and if so, ignores the second request. This prevents clients from accidentally creating duplicate commitments.

The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).

validateOnly

boolean

Optional. If set, validates the request and previews the endpoint, but does not actually create it.

Request body

The request body contains an instance of FirewallEndpoint.

Response body

If successful, the response body contains a newly created instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.